Eclipse Platform Release 3.7

## org.eclipse.debug.ui.actions
Class ToggleBreakpointAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.debug.ui.actions.ToggleBreakpointAction

All Implemented Interfaces:
  IAction, IUpdate

    public class ToggleBreakpointAction

extends Action
implements IUpdate

Action to toggle a breakpoint in a vertical ruler of a workbench part containing a document. The part must provide an `IToggleBreakpointsTarget` adapter which may optionally be an instance of an `IToggleBreakpointsTargetExtension`.

Clients may instantiate this class.

Since:
  3.1
See Also:
  `RulerToggleBreakpointActionDelegate`
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ToggleBreakpointAction(IWorkbenchPart part, IDocument document, IVerticalRulerInfo rulerInfo)` Constructs a new action to toggle a breakpoint in the given part containing the given document and ruler.

Method Summary
`void` `dispose()` Disposes this action.
`void` `run()` The default implementation of this `IAction` method does nothing.
`void` `update()` Requests that this object update itself.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### ToggleBreakpointAction

    public ToggleBreakpointAction(IWorkbenchPart part,
                                  IDocument document,
                                  IVerticalRulerInfo rulerInfo)

  Constructs a new action to toggle a breakpoint in the given part containing the given document and ruler.

  Parameters:
    `part` - the part in which to toggle the breakpoint - provides an `IToggleBreakpointsTarget` adapter
    `document` - the document breakpoints are being set in or `null` when the document should be derived from the given part
    `rulerInfo` - specifies location the user has double-clicked

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### dispose

    public void dispose()

  Disposes this action. Clients must call this method when this action is no longer needed.

### update

    public void update()

  Description copied from interface: `IUpdate`
  Requests that this object update itself.

  Specified by:
    `update` in interface `IUpdate`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.